Lemmy: Search
Search from Lemmy as JSON. 1 credit per successful call.
GET /v1/lemmy/searchNeeds terms
Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
q | string | Required | Up to 500 characters |
type_ | string | Optional | All, Posts, Communities, Users, Comments |
sort | string | Optional | Active, Hot, New, Old, TopDay, TopWeek, TopMonth, TopYear, TopAll, MostComments, NewComments, TopHour, TopSixHour, TopTwelveHour, TopThreeMonths, TopSixMonths, TopNineMonths, Controversial, Scaled |
limit | integer | Optional | Any |
page | integer | Optional | Any |
instance | string | Optional | Up to 253 characters |
Example request
curl "https://api.perceptlayer.com/v1/lemmy/search?q=linux" \
-H "X-API-Key: $API_KEY"